opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Types | Public Member Functions | Protected Attributes | List of all members
cv::Vector< _Tp > Class Template Reference

`#include <operations.hpp>`

## Classes
struct | Hdr

## Public Types
typedef const _Tp * | const_iterator
typedef const _Tp & | const_reference
typedef _Tp * | iterator
typedef _Tp & | reference
typedef _Tp | value_type

## Public Member Functions
void | addref ()
_Tp & | back ()
const _Tp & | back () const
_Tp * | begin ()
const _Tp * | begin () const
size_t | capacity () const
void | clear ()
Vector< _Tp > | clone () const
void | copyTo (Vector< _Tp > &vec) const
void | copyTo (std::vector< _Tp > &vec) const
bool | empty () const
_Tp * | end ()
const _Tp * | end () const
_Tp & | front ()
const _Tp & | front () const
| operator CvMat () const
Vector | operator() (const Range &r) const
Vector< _Tp > & | operator= (const Vector &d)
_Tp & | operator[] (size_t i)
const _Tp & | operator[] (size_t i) const
Vector< _Tp > & | pop_back ()
Vector< _Tp > & | push_back (const _Tp &elem)
void | release ()
void | reserve (size_t newCapacity)
void | resize (size_t newSize)
void | set (_Tp *_data, size_t _size, bool _copyData=false)
size_t | size () const
int | type () const
| Vector ()
| Vector (size_t _size)
| Vector (size_t _size, const _Tp &val)
| Vector (_Tp *_data, size_t _size, bool _copyData=false)
template<int n>
| Vector (const Vec< _Tp, n > &vec)
| Vector (const std::vector< _Tp > &vec, bool _copyData=false)
| Vector (const Vector &d)
| Vector (const Vector &d, const Range &r_)
| ~Vector ()

## Protected Attributes
Hdr | hdr

## Member Typedef Documentation

template<typename _Tp>

typedef const _Tp* cv::Vector< _Tp >::const_iterator

template<typename _Tp>

typedef const _Tp& cv::Vector< _Tp >::const_reference

template<typename _Tp>

typedef _Tp* cv::Vector< _Tp >::iterator

template<typename _Tp>

typedef _Tp& cv::Vector< _Tp >::reference

template<typename _Tp>

typedef _Tp cv::Vector< _Tp >::value_type

## Constructor & Destructor Documentation

template<typename _Tp>

cv::Vector< _Tp >::Vector | ( |  | ) |
| inline

template<typename _Tp>

cv::Vector< _Tp >::Vector | ( | size_t | _size | ) |
| inline

template<typename _Tp>

cv::Vector< _Tp >::Vector | ( | size_t | _size,
|  | const _Tp & | val
| ) |  |
| inline

template<typename _Tp>

cv::Vector< _Tp >::Vector | ( | _Tp * | _data,
|  | size_t | _size,
|  | bool | _copyData = `false`
| ) |  |
| inline

template<typename _Tp>
template<int n>

cv::Vector< _Tp >::Vector | ( | const Vec< _Tp, n > & | vec | ) |
| inline

template<typename _Tp>

cv::Vector< _Tp >::Vector | ( | const std::vector< _Tp > & | vec,
|  | bool | _copyData = `false`
| ) |  |
| inline

template<typename _Tp>

cv::Vector< _Tp >::Vector | ( | const Vector< _Tp > & | d | ) |
| inline

template<typename _Tp>

cv::Vector< _Tp >::Vector | ( | const Vector< _Tp > & | d,
|  | const Range & | r_
| ) |  |
| inline

template<typename _Tp>

cv::Vector< _Tp >::~Vector | ( |  | ) |
| inline

## Member Function Documentation

template<typename _Tp>

void cv::Vector< _Tp >::addref | ( |  | ) |
| inline

template<typename _Tp>

_Tp& cv::Vector< _Tp >::back | ( |  | ) |
| inline

template<typename _Tp>

const _Tp& cv::Vector< _Tp >::back | ( |  | ) | const
| inline

template<typename _Tp>

_Tp* cv::Vector< _Tp >::begin | ( |  | ) |
| inline

template<typename _Tp>

const _Tp* cv::Vector< _Tp >::begin | ( |  | ) | const
| inline

template<typename _Tp>

size_t cv::Vector< _Tp >::capacity | ( |  | ) | const
| inline

template<typename _Tp>

void cv::Vector< _Tp >::clear | ( |  | ) |
| inline

template<typename _Tp>

Vector<_Tp> cv::Vector< _Tp >::clone | ( |  | ) | const
| inline

template<typename _Tp>

void cv::Vector< _Tp >::copyTo | ( | Vector< _Tp > & | vec | ) | const
| inline

template<typename _Tp>

void cv::Vector< _Tp >::copyTo | ( | std::vector< _Tp > & | vec | ) | const
| inline

template<typename _Tp>

bool cv::Vector< _Tp >::empty | ( |  | ) | const
| inline

template<typename _Tp>

_Tp* cv::Vector< _Tp >::end | ( |  | ) |
| inline

template<typename _Tp>

const _Tp* cv::Vector< _Tp >::end | ( |  | ) | const
| inline

template<typename _Tp>

_Tp& cv::Vector< _Tp >::front | ( |  | ) |
| inline

template<typename _Tp>

const _Tp& cv::Vector< _Tp >::front | ( |  | ) | const
| inline

template<typename _Tp>

cv::Vector< _Tp >::operator CvMat | ( |  | ) | const
| inline

template<typename _Tp>

Vector cv::Vector< _Tp >::operator() | ( | const Range & | r | ) | const
| inline

template<typename _Tp>

Vector<_Tp>& cv::Vector< _Tp >::operator= | ( | const Vector< _Tp > & | d | ) |
| inline

template<typename _Tp>

_Tp& cv::Vector< _Tp >::operator[] | ( | size_t | i | ) |
| inline

template<typename _Tp>

const _Tp& cv::Vector< _Tp >::operator[] | ( | size_t | i | ) | const
| inline

template<typename _Tp>

Vector<_Tp>& cv::Vector< _Tp >::pop_back | ( |  | ) |
| inline

template<typename _Tp>

Vector<_Tp>& cv::Vector< _Tp >::push_back | ( | const _Tp & | elem | ) |
| inline

template<typename _Tp>

void cv::Vector< _Tp >::release | ( |  | ) |
| inline

template<typename _Tp>

void cv::Vector< _Tp >::reserve | ( | size_t | newCapacity | ) |
| inline

template<typename _Tp>

void cv::Vector< _Tp >::resize | ( | size_t | newSize | ) |
| inline

template<typename _Tp>

void cv::Vector< _Tp >::set | ( | _Tp * | _data,
|  | size_t | _size,
|  | bool | _copyData = `false`
| ) |  |
| inline

template<typename _Tp>

size_t cv::Vector< _Tp >::size | ( |  | ) | const
| inline

template<typename _Tp>

int cv::Vector< _Tp >::type | ( |  | ) | const
| inline

## Member Data Documentation

template<typename _Tp>

Hdr cv::Vector< _Tp >::hdr
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp